Download it now!
Bug 101703 - Inserted SVG displayed incorrectly after saving and reloading document
Summary: Inserted SVG displayed incorrectly after saving and reloading document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2016-08-24 16:22 UTC by josedavid
Modified: 2019-12-03 13:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
SVG test file to reproduce the problem (37.36 KB, application/zip)
2016-08-24 16:22 UTC, josedavid
Details

Note You need to log in before you can comment on or make changes to this bug.
Description josedavid 2016-08-24 16:22:34 UTC
Created attachment 127003 [details]
SVG test file to reproduce the problem

Using Debian Unstable x86-64. From LibreOffice's about window: version 5.0.2.2, Build ID 00m0(Build:2)

Description:

SVG files are imported correctly into ODT documents, but do not survive closing and reopening (same problem for ODP documents).

Steps to reproduce the problem:

1) Create new ODT document
2) Include attached SVG file in the document (or any other)
3) Export to PDF as test1.pdf (lossless, untick "reduce image resolution")
4) Save ODT document
5) Close LibreOffice
6) Reopen ODT document
7) The image is now rendered as low-res raster graphics inside the document
8) Export to PDF as test2.pdf, same parameters as in 3)

Outcome:

While test1.pdf has vector graphics, test2.pdf has low-res raster graphics.

Comments:

This is a serious hindrance to using LibreOffice for documents that use vector graphics (for example, for high-quality printing in DIN A0).

Hope this report helps.
Comment 1 Buovjaga 2016-09-21 19:35:52 UTC
I don't repro the rasterizing. However, the SVG is imported incorrectly: it is missing pieces.

Could you please test with 5.2.x? If you confirm the old problem is gone and the new problem has appeared, maybe we will change this report to be about the incorrect rendering?

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: cd72269a6a2c85ae9dd4552aa4808ef4fd1f6c0e
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 21st 2016

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.4
Build ID: 5.2.0-1
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 Aron Budea 2016-09-22 05:01:37 UTC
Rastered image not reproduced in v5.0.0.5 and v5.2.1.2 / Windows 7.
Missing pieces confirmed in 5.2.1.2, and aren't there in 5.1.0.3.
Comment 3 josedavid 2016-09-26 09:10:00 UTC
I cannot curently test in Linux with newer releases, but in Windows 8 with LO 5.2.1, it is as both of you said: no rasterizing issues, but the SVG image is imported incorrectly.
Comment 4 QA Administrators 2017-10-30 08:33:10 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 13:52:02 UTC
Dear josedavid,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug